<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <title>Geologické lokality - mapy</title>
    <script type="text/javascript" src="https://api.mapy.cz/loader.js"></script>
    <script type="text/javascript">Loader.load()</script>
</head>
<body>

<?php
$lokace_all = array('Plzensko', 'Karlovarsko-a-zapadni-Cechy', 'Cesky-kras-1', 'Stredni-Cechy-Praha', 'Severni-Cechy', 'Ceske-Stredohori-a-Doupovske-hory', 'Krusne-Hory', 'Cesky-raj', 'Jizni-Cechy', 'Vychodni-Cechy');
if (isset($_GET['id']) && in_array($_GET['id'], $lokace_all)) {
    $selectedLokace = $_GET['id'];
} else {
    $selectedLokace = 'all';
}

echo '<script>';
echo 'var source = ' . file_get_contents('./geologie-astronomie/data.json') . ';';
echo '</script>';
?>

<div id="m" style="width:100%; height:500px;"></div>
<script type="text/javascript">
    var center = SMap.Coords.fromWGS84(13.36790, 49.74655);
    var m = new SMap(JAK.gel("m"), center, 10);
    m.addDefaultLayer(SMap.DEF_BASE).enable();
    m.addDefaultControls();

    var layer = new SMap.Layer.Marker();
    m.addLayer(layer);
    layer.enable();

    var souradnice = [];
    var souradnice_all = [];
    var nejaky_aktivni = 'no';
    for (var i = 0, len = source.length; i < len; i++) {
        var element = source[i];
        var card = new SMap.Card();
        card.getHeader().innerHTML = "<div style='text-align: center'><strong>" + element['title'] + "</strong></div>";
        card.getBody().innerHTML = "<div style='text-align: center'><a href='" + element['url'] + "' target='_parent'><img src='" + element['img_src'] + "' style='width: 160px' /></a><br /><a href='" + element['url'] + "' target='_blank'>zobrazit fotografie</a></div>";
        var options = {
            title: element['title'],
        };
        var c = SMap.Coords.fromWGS84(element['coord_x'] + ',' + element['coord_y']);
        if (element['lokace'] == '<?php echo $selectedLokace ?>') {
            options.url = './iconfinder_map-marker_285659-32-color.png';
            souradnice.push(c);
            nejaky_aktivni = 'yes';
        } else {
            options.url = './iconfinder_map-marker_285659-32-bw.png';
            souradnice_all.push(c);
        }

        var marker = new SMap.Marker(c, "myMarker" + i, options);
        marker.decorate(SMap.Marker.Feature.Card, card);

        layer.addMarker(marker);
    }

    if (nejaky_aktivni == 'yes') {
        var cz = m.computeCenterZoom(souradnice); /* Spočítat pozici mapy tak, aby značky byly vidět */
    } else {
        var cz = m.computeCenterZoom(souradnice_all);
    }
    m.setCenterZoom(cz[0], cz[1]);

</script>


</body>
</html>